User Tools

Site Tools


phpbrew

PHPBrew

Compile a PHP Version

sudo phpbrew install 5.4.38 +apxs2 +bcmath +bz2 +calendar -cgi +cli +ctype +curl +dba +debug +dom +dtrace +editline -embed +exif +fileinfo +filter -fpm +ftp -gcov +gd +gettext +gmp +hash +iconv +icu +imap +inifile +inline +intl +ipc +ipv6 +json +kerberos +libgcc +mbregex +mbstring +mcrypt +mhash +mysql +opcache +openssl +pcntl +pcre +pdo +pgsql +phar +phpdbg +posix +readline +session +soap +sockets +sqlite +static +tidy +tokenizer +wddx +xml +xml_all +xmlrpc +zip +zlib -- --with-mysqli

Maybe its a good idea to specify the socket:

 --with-mysql-sock=/var/run/mysqld/mysqld.sock

Configure php.ini of current php Version

phpbrew config

Make sure you have set “mysqli.default_socket” correctly.

mysqli.default_socket = /var/run/mysqld/mysqld.sock

Switch to a specific version

Switch the php cli:

phpbrew switch php-5.4.38

And don't forget to add the module to your enbabled Mods:

LoadModule php5_module /usr/lib/apache2/modules/libphp5.3.28.so
phpbrew.txt · Last modified: 2016/05/25 16:50 by admin